#container, #navcontainer, #footer, .blog-archive-headings-wrapper, .blog-archive-entries-wrapper {
	width: 680px;
}

#navcontainer {
	margin-left: -340px;
	left: 50%;
}


#container {
	width:  680px;
}

* html #navcontainer ul ul, * html #navcontainer ul ul ul {
	width: 680px;
}

* html #navcontainer ul li, * html #navcontainer ul ul li, * html #navcontainer ul ul ul li {
	width: 136px;
}